## mypager 0.6.1

=== debian/changelog ===
mypager (0.6.1-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 18:08:16 +0100

mypager (0.6.1-1) unstable; urgency=low

  * Initial release (Closes: #908746)

 -- Romuald Brunet <romuald@chivil.com>  Wed, 17 Oct 2018 16:59:06 +0200

## mypager 0.6.3

=== Makefile ===
whoami := $(shell whoami)

MANBASE = /share/man

# install to home dir if not root
ifeq (root,$(whoami))
prefix := /usr/local
else
prefix := $(HOME)
# Try to guess user local man path
MANBASE = $(shell manpath | perl -ne 'chomp; s/^\Q$$ENV{HOME}\E// && print && exit for (split /:/)')
# Not currently existing, try a lucky guess :/
MANBASE := /man
endif

MANUAL = MANUAL.pod
INSTALL_BIN = $(DESTDIR)$(prefix)/bin
INSTALL_MAN = $(DESTDIR)$(prefix)$(MANBASE)/man1

default:
	@echo Please use make install
	@echo Will install script in $(INSTALL_BIN)
	@echo Will install man page in $(INSTALL_MAN)

install: install-bin install-doc

install-bin:
	install -m 0755 -d $(INSTALL_BIN)
	install -m 0755 -c mypager $(INSTALL_BIN)

install-doc:
ifneq (,$(wildcard $(MANUAL)))  # for future doc
	install -m 0755 -d $(INSTALL_MAN)
	pod2man -n 'MYPAGER' -r "" $(MANUAL) $(INSTALL_MAN)/mypager.1
endif


uninstall:
	rm -f $(INSTALL_BIN)/mypager
	rm -f $(INSTALL_MAN)/mypager.1

=== debian/control ===
Source: mypager
Maintainer: Romuald Brunet <romuald@chivil.com>
Section: misc
Priority: optional
Standards-Version: 4.5.1
Build-Depends: debhelper (>= 11~), perl (>= 5.8.0)
Vcs-Git: https://github.com/romuald/mypager.git
Vcs-Browser: https://github.com/romuald/mypager
Homepage: http://romuald.github.io/mypager/


Package: mypager
Architecture: all
Depends: perl (>= 5.8.0), less, libterm-readkey-perl, ${misc:Depends}
Description: pager for MySQL/PostgreSQL command line clients
 Userfriendly pager that will add color to query results of MySQL or
 PostgreSQL command line clients. It will also automatically use less
 when terminal isn't able to display the full result in one page.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/mypager-$1\.tar\.gz/ \
  https://github.com/romuald/mypager/tags .*/v?(\d\S+)\.tar\.gz
